# 行業排行榜

`GET` `/v1/quote/industry/rank`

按市場和指標獲取行業排行榜。返回的 Counter ID 可直接傳入 `industry_peers` 查詢子行業樹。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `market` | string | Yes | 市場代碼：`US` / `HK` / `CN` / `SG` |
| `indicator` | string | Yes | 排行指標：`leading-gainer` / `today-trend` / `popularity` / `market-cap` / `revenue` / `revenue-growth` / `net-profit` / `net-profit-growth` |
| `sort_type` | string | Yes | 排序方式：`single`（單一排序）/ `multi`（多維排序） |
| `limit` | integer | Yes | 返回條數，預設 20 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/industry/rank?market=<market>&indicator=<indicator>&sort_type=<sort_type>&limit=<limit>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `items` | object[] | No | 排行分組列表 |
| `└ lists` | object[] | No | 行業條目列表 |
| `└ ∟ name` | string | No | 行業名稱 |
| `└ ∟ symbol` | string | No | 行業標識，可作為 `symbol` 傳入 `industry_peers`（如 `IN20245.HK`）。 |
| `└ ∟ chg` | string | No | 當日漲跌幅（小數） |
| `└ ∟ leading_name` | string | No | 漲幅領先個股名稱 |
| `└ ∟ leading_ticker` | string | No | 漲幅領先個股代碼 |
| `└ ∟ leading_chg` | string | No | 漲幅領先個股漲跌幅（小數） |
| `└ ∟ value_name` | string | No | 指標名稱（按指標類型填充，可能為空） |
| `└ ∟ value_data` | string | No | 指標數值（可能為空） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "items": [
      {
        "lists": [
          {
            "name": "Technology",
            "symbol": "IN00258.US",
            "chg": "0.0231",
            "leading_name": "NVIDIA",
            "leading_ticker": "NVDA.US",
            "leading_chg": "0.0512",
            "value_name": "",
            "value_data": ""
          }
        ]
      }
    ]
  }
}
```
